org.apache.sling.provisioning.model

## Class ModelConstants

- java.lang.Object
- - org.apache.sling.provisioning.model.ModelConstants

    public abstract class ModelConstants
    extends Object

Constants for the provisioning model.

### Field Summary

Fields
`static String` `CFG_FORMAT_FELIX_CA` Format of the Apache Felix Config Admin.
`static String` `CFG_FORMAT_PROPERTIES` Property file format.
`static String` `CFG_LAUNCHPAD_BOOTSTRAP` Name of the configuration for the bootstrap contents.
`static String` `CFG_LAUNCHPAD_WEB_XML` Name of the configuration containing the web.xml.
`static String` `CFG_MODE_MERGE` Mode for merging a configuration
`static String` `CFG_MODE_OVERWRITE` Mode for overwriting a configuration.
`static String` `CFG_UNPROCESSED` Unprocessed configuration values.
`static String` `CFG_UNPROCESSED_FORMAT` Format of the unprocessed configuration values.
`static String` `CFG_UNPROCESSED_MODE` Format of the unprocessed configuration values.
`static String` `DEFAULT_RUN_MODE` Default run mode value
`static int` `DEFAULT_START_LEVEL` Default start level value
`static String` `FEATURE_BOOT` Name of the boot feature
`static String` `FEATURE_LAUNCHPAD` Name of Sling's launchpad feature.
`static String` `RUN_MODE_REMOVE` Name of the run mode to remove things from the base model.
`static String` `RUN_MODE_STANDALONE` Name of the standalone run mode.
`static String` `RUN_MODE_WEBAPP` Name of the webapp run mode.

### Constructor Summary

Constructors
Constructor and Description
`ModelConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FEATURE_LAUNCHPAD

    public static final String FEATURE_LAUNCHPAD

Name of Sling's launchpad feature.

See Also:
  Constant Field Values

#### FEATURE_BOOT

    public static final String FEATURE_BOOT

Name of the boot feature

See Also:
  Constant Field Values

#### CFG_LAUNCHPAD_WEB_XML

    public static final String CFG_LAUNCHPAD_WEB_XML

Name of the configuration containing the web.xml. This configuration is used by the launchpad feature.

See Also:
  Constant Field Values

#### CFG_LAUNCHPAD_BOOTSTRAP

    public static final String CFG_LAUNCHPAD_BOOTSTRAP

Name of the configuration for the bootstrap contents. This configuration is used by the launchpad feature.

See Also:
  Constant Field Values

#### CFG_UNPROCESSED

    public static final String CFG_UNPROCESSED

Unprocessed configuration values.

See Also:
  Constant Field Values

#### CFG_UNPROCESSED_FORMAT

    public static final String CFG_UNPROCESSED_FORMAT

Format of the unprocessed configuration values.

See Also:
  Constant Field Values

#### CFG_UNPROCESSED_MODE

    public static final String CFG_UNPROCESSED_MODE

Format of the unprocessed configuration values.

Since:
  1.1
See Also:
  Constant Field Values

#### CFG_FORMAT_FELIX_CA

    public static final String CFG_FORMAT_FELIX_CA

Format of the Apache Felix Config Admin.

See Also:
  Constant Field Values

#### CFG_FORMAT_PROPERTIES

    public static final String CFG_FORMAT_PROPERTIES

Property file format.

See Also:
  Constant Field Values

#### CFG_MODE_OVERWRITE

    public static final String CFG_MODE_OVERWRITE

Mode for overwriting a configuration.

Since:
  1.1
See Also:
  Constant Field Values

#### CFG_MODE_MERGE

    public static final String CFG_MODE_MERGE

Mode for merging a configuration

Since:
  1.1
See Also:
  Constant Field Values

#### RUN_MODE_WEBAPP

    public static final String RUN_MODE_WEBAPP

Name of the webapp run mode.

See Also:
  Constant Field Values

#### RUN_MODE_STANDALONE

    public static final String RUN_MODE_STANDALONE

Name of the standalone run mode.

See Also:
  Constant Field Values

#### DEFAULT_RUN_MODE

    public static final String DEFAULT_RUN_MODE

Default run mode value

#### DEFAULT_START_LEVEL

    public static final int DEFAULT_START_LEVEL

Default start level value

See Also:
  Constant Field Values

#### RUN_MODE_REMOVE

    public static final String RUN_MODE_REMOVE

Name of the run mode to remove things from the base model.

Since:
  1.1
See Also:
  Constant Field Values

### Constructor Detail

#### ModelConstants

    public ModelConstants()